Kerbal Space Program - Bug #25492

GrandTour Contracts treat all vessels as "newly launched™
06/02/2020 08:19 AM - bingmao

Status: Ready to Test Start date: 06/02/2020
Severity: Normal % Done: 80%
Assignee: Technicalfool
Category: Contracts
Target version: 1.11.1
Version: 1.9.1 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

When | accept a GrandTour contract, any vessel | launched in the past is treated as "newly launched" by the contract. When | switch
to any vessel, the contract parameter "Ensure that the vessel is newly launched" gets ticked off.

When | looked through the save files, | found out, that the launchIDs for the GrandTour contracts are always 0. When | change them
to the actual global launchID, only the newly launched vessels are marked as "newly launched" for these contracts.

History

#1 - 06/03/2020 11:39 AM - Technicalfool
- File screenshot18.png added

- Status changed from New to Confirmed

- Assignee set to Technicalfool

- Severity changed from Low to Normal

- % Done changed from 0 to 10

- Platform Linux added

Took a while, but managed to confirm it. Thanks for the report.

#3 - 01/29/2021 01:49 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.11.1

- % Done changed from 10 to 80

We've made some changes in the latest version of the game and would like some feedback on this issue. Thanks.

Files

screenshot18.png 2.44 MB 06/03/2020 Technicalfool
